
<?php
 @session_start();
 $vg_login=$_SESSION["usuario"];
   
include "../conexion.php";
$accion=$_POST["accion"];
$tabla=$_POST["tabla"];

$mensaje="";$mensa="";	


if($tabla=="producto")
{
	  $nombre=$_POST["nombre"];
	  $descripcion=$_POST["descripcion"];
	  $preciounitario=$_POST["preciounitario"];
	  $precioventa=$_POST["precioventa"];
	  $productofamilia=$_POST["productofamilia"];
	  $marca=$_POST["marca"];
	  $iva=$_POST["iva"];
	  $codigobarra=$_POST["codigobarra"];
	  
	  if($accion=="guardar")
			{ $sql_datoscontar=mssql_query("select count(*) as cantidad  from $tabla
											where nombre='".$nombre."'",$conexion);
			 $vl_contar=mssql_result($sql_datoscontar, 0, "cantidad");
			 if($vl_contar>=1){$mensaje="error";$mensa="Ya esta registrado el nombre"; }
			 else
			  { 
			   $sql_insert=mssql_query("INSERT INTO $tabla    (nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,codigobarra,estado)
											VALUES    ('".$nombre."','".$descripcion."','".$preciounitario."','".$precioventa."','".$productofamilia."',
													   '".$marca."','".$iva."','".$codigobarra."','A')",$conexion);
							 if ($sql_insert) 
								{   $mensaje="Guardo";$mensa="Registro guardado con exito";
									$valor=1;	
								}
							 else
								 { $mensaje="error";$mensa="Error al guardar el registro"; }
			  }					 
		}//fin guardar

	 if($accion=="modifica")
			{ 
			 $id=$_POST["id"];$estado=$_POST["estado"];
			$sql_datoscontar=mssql_query("select count(*) as cantidad  from $tabla
											where id=".$id."",$conexion);
			 $vl_contar=mssql_result($sql_datoscontar, 0, "cantidad");
			 if($vl_contar==0){$mensaje="error";$mensa="No existe el codigo a modificar"; }
			 else
			  {
			   $sql_insert=mssql_query("update  $tabla  set   
			   							nombre='".trim($nombre)."',
										descripcion='".trim($descripcion)."',
										preciounitario='".trim($preciounitario)."',
										precioventa='".trim($precioventa)."',
										productofamilia='".trim($productofamilia)."',
										marca='".trim($marca)."',
										iva='".trim($iva)."',
										codigobarra='".trim($codigobarra)."',
										estado='".trim($estado)."'
										where id=".$id."",$conexion);
							 if ($sql_insert) 
								{   $mensaje="modifico";$mensa="Registro modificado con exito";
									$valor=1;	
								}
							 else
								 { $mensaje="error";$mensa="Error al modificar el registro"; }
			  }					 
		}//fin guardar
}



if($tabla=="proveedor")
{
	  $nombre=$_POST["nombre"];
	  $direccion=$_POST["direccion"];
	  $telefono=$_POST["telefono"];
	  $email=$_POST["email"];
	  $contacto=$_POST["contacto"];  
	  if($accion=="guardar")
			{ $sql_datoscontar=mssql_query("select count(*) as cantidad  from $tabla
											where nombre='".$nombre."'",$conexion);
			 $vl_contar=mssql_result($sql_datoscontar, 0, "cantidad");
			 if($vl_contar>=1){$mensaje="error";$mensa="Ya esta registrado el nombre"; }
			 else
			  { 
			   $sql_insert=mssql_query("INSERT INTO $tabla    (nombre,direccion,telefono,email,contacto,estado)
											VALUES    ('".$nombre."','".$direccion."','".$telefono."','".$email."','".$contacto."','A')",$conexion);
							 if ($sql_insert) 
								{   $mensaje="Guardo";$mensa="Registro guardado con exito";
									$valor=1;	
								}
							 else
								 { $mensaje="error";$mensa="Error al guardar el registro"; }
			  }					 
		}//fin guardar

	 if($accion=="modifica")
			{ 
			 $id=$_POST["id"];$estado=$_POST["estado"];
			$sql_datoscontar=mssql_query("select count(*) as cantidad  from $tabla
											where id=".$id."",$conexion);
			 $vl_contar=mssql_result($sql_datoscontar, 0, "cantidad");
			 if($vl_contar==0){$mensaje="error";$mensa="No existe el codigo a modificar"; }
			 else
			  {
			   $sql_insert=mssql_query("update  $tabla  set   nombre='".trim($nombre)."',
			   							direccion='".trim($direccion)."',
										telefono='".trim($telefono)."',
										email='".trim($email)."',
										contacto='".trim($contacto)."',
										estado='".trim($estado)."'
										where id=".$id."",$conexion);
							 if ($sql_insert) 
								{   $mensaje="modifico";$mensa="Registro modificado con exito";
									$valor=1;	
								}
							 else
								 { $mensaje="error";$mensa="Error al modificar el registro"; }
			  }					 
		}//fin guardar
}
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html >
<head>
<title>SICA</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" >
<script language="JavaScript" type="text/javascript" src="frm_proyecto.js"></script>
</head>
<body>
<?php

if($mensaje=="modifico" or $mensaje=="Guardo" or $mensaje=="error")
 {
?>
<center>
<div style="border: 0px solid rgb(0, 0, 0); width:100%; height:100%; left:0px; top:0px;  filter: alpha(opacity=90);  background-color:#F3F3F3;
 overflow:auto;  position:absolute; visibility:visible;"  id="salida"  onClick="LimpiarCampossalida('<?php echo $mensaje; ?>');this.style.width='0%';this.style.height='0%';this.style.visibility='hidden'"> 
<br><br><br><br><br><br><br>
<center>
  <?php
		if($mensaje=="modifico") {  echo "<font size='5'><strong><br>SE MODIFICO EL REGISTRO <BR><BR> $mensa <BR><BR> CLIC AQUI PARA CERRAR</strong></font>";}
		if($mensaje=="Guardo") {echo "<font size='5'><strong><br>SE GUARDO EL REGISTRO <BR><BR><BR><BR> CLIC AQUI PARA CERRAR </strong></font>";}
		if($mensaje=="error") {echo "<font size='5'><strong><br>ERROR <BR><BR>".$mensa." <BR><BR>CLIC AQUI PARA CERRAR</strong></font>";}
	?>
</center>
</div>
</center>	
<?php
 }
?>
</body>
</html>
